package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2024-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmBzry对象", description="")
public class DmBzry implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "人员编码")
    private String userCode;

    @ApiModelProperty(value = "人员姓名")
    private String userName;

    @ApiModelProperty(value = "是否资源")
    private String resource;

    @ApiModelProperty(value = "班组长")
    private String foreman;

    @ApiModelProperty(value = "所属资源组")
    private String resourcesCode;

    @ApiModelProperty(value = "人员职务")
    private String position;

    @ApiModelProperty(value = "人员属性")
    private String attribute;

    @ApiModelProperty(value = "状态")
    private String flagStatus;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
